# screen Reference

Following are the classes and functions defined within this module:

class `Project.system.screen.``myThread1`
  `run`()

    This method generates the Screen Recording file. It specifies the device screen resolution and takes screenshot using PyAutoGUI. The screenshot is converted to a numpy array. PyAutoGUI captures the screen in RGB(Red, Green, Blue) form and OpenCV converts it to BGR(Blue, Green, Red) and then writes that in an output file. The file is saved in ScreenRecordings folder and named by current date and time in .avi format.

    Returns

      Screen Recording file